module CHoistingVariables
    implicit none   
    public    
    !constants
    integer :: TopDrive_DriveType = 0
    integer :: Kelly_DriveType = 1
    

    ! variables
    Type::HoistingType
        integer :: DriveType
        real(8) :: TravelingBlockWeight
        real(8) :: TopDriveWeight
        real(8) :: KellyWeight
        integer :: NumberOfLine
        real(8) :: DrillingLineBreakingLoad
    End type HoistingType
end module CHoistingVariables